pqxx::argument_error Class Reference
Exception classes

Invalid argument passed to libpqxx, similar to std::invalid_argument. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::argument_error:
[legend]

## Public Member Functions

| argument_error (const std::string &)
Public Member Functions inherited from pqxx::pqxx_exception
virtual | ~pqxx_exception () noexcept=0
| Support run-time polymorphism, and keep this class abstract. More...

## Detailed Description

Invalid argument passed to libpqxx, similar to std::invalid_argument.

## Constructor & Destructor Documentation

## argument_error()

pqxx::argument_error::argument_error | ( | const std::string & | whatarg | ) |

explicit

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx